0

I want to build my first spfx page on our SP2016 on-premise environment. Could you advice what is the requirement? I mentioned v1.1.0 because later version are not supported by SP2016 according to this article. However there is no further explanation on how to setup SP2016 dev environment.

May I know, which version I required?

  • NodeJS
  • Yeoman
  • Gulp
  • NPM
  • SharePoint yeoman generator

Another question, why Microsoft make on-premise administrator so frustrated?

0

I think you are limited on Framwerk version (1.1.0) instead of this list of tools.

Check this link:

https://github.com/smukked/generator-sp-classic

Found via https://yeoman.io/generators/ and looking for "sharepoint". Actually I've not tried to use it.

I think you'll can create developments using this Yeoman Generator like the "yo @microsoft/sharepoint" used in Docs Examples.

  • Before I can run "Yo" I need to install NodeJS first but I read some blog saying I need to use v6.x and some say v8.x. Same for each of the package gulp. Different type of error prompt up, etc.. so I need a working version combination to isolate my problem. – Mark L Oct 15 '19 at 8:04
  • Node 6.x was the one who coexisted with SPFx 1.1.0 in time. Node 8.x needs to be slightly tuned to work with 1.1.0 --> docs.microsoft.com/en-us/sharepoint/dev/spfx/… Yeoman works from Node 6.x, npm comes bundled in node, using npm install --global gulp-cli should install the correct gulp version (2.0.1 should be fine). Hope this helps – Biggum Oct 15 '19 at 8:22
  • I am using node v6.11.2, which Yo version I should use? – Mark L Oct 15 '19 at 8:55
  • The current version should work. Installing via npm install -g yo should get a compatible version Check --> yeoman.io/learning – Biggum Oct 15 '19 at 9:15
  • I tried many times (install/uninstall/delete the folder,etc) all lead to same error: npm ERR! Failed at the yo@3.1.0 postinstall script 'yodoctor'. Make sure you have the latest version of node.js and npm installed. – Mark L Oct 15 '19 at 9:21

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.